### Method

# Gck Password get_token

#### Declaration [src]

    GckSlot*
    gck_password_get_token (
      GckPassword* self
    )

#### Description [src]

If the password request is to unlock a PKCS#11 token, then this is the slot containing that token.

Gets property | `Gck.Password:token`

#### Return value

Type: `GckSlot`

The slot that contains the token, or `NULL` if not being requested for a token; must be unreferenced after use.

The caller of the method takes ownership of the data, and is responsible for freeing it.